Rcc (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute.compiler.generated

## Class Rcc

- java.lang.Object
- - org.apache.jute.compiler.generated.Rcc

- All Implemented Interfaces:
    RccConstants

      public class Rcc
      extends Object
      implements RccConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt` Next token.
    `Token` | `token` Current token.
    `RccTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface org.apache.jute.compiler.generated.RccConstants

      `BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rcc(InputStream stream)` Constructor with InputStream.
    `Rcc(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
    `Rcc(RccTokenManager tm)` Constructor with generated Token Manager.
    `Rcc(Reader stream)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disable_tracing()` Disable tracing.
    `void` | `enable_tracing()` Enable tracing.
    `JField` | `Field()`
    `ParseException` | `generateParseException()` Generate ParseException.
    `Token` | `getNextToken()` Get the next Token.
    `Token` | `getToken(int index)` Get the specific Token.
    `JFile` | `Include()`
    `JFile` | `Input()`
    `static void` | `main(String[] args)`
    `JMap` | `Map()`
    `ArrayList<JRecord>` | `Module()`
    `String` | `ModuleName()`
    `static JFile` | `parseFile(File file)`
    `JRecord` | `Record()`
    `ArrayList<JRecord>` | `RecordList()`
    `void` | `ReInit(InputStream stream)` Reinitialise.
    `void` | `ReInit(InputStream stream, String encoding)` Reinitialise.
    `void` | `ReInit(RccTokenManager tm)` Reinitialise.
    `void` | `ReInit(Reader stream)` Reinitialise.
    `JType` | `Type()`
    `JVector` | `Vector()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token_source

          public RccTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### Rcc

          public Rcc(InputStream stream)

      Constructor with InputStream.

    - #### Rcc

          public Rcc(InputStream stream,
                     String encoding)

      Constructor with InputStream and supplied encoding

    - #### Rcc

          public Rcc(Reader stream)

      Constructor.

    - #### Rcc

          public Rcc(RccTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### parseFile

          public static JFile parseFile(File file)
                                 throws FileNotFoundException,
                                        ParseException

      Throws:
        `FileNotFoundException`
        `ParseException`

    - #### Input

          public final JFile Input()
                            throws ParseException

      Throws:
        `ParseException`

    - #### Include

          public final JFile Include()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Module

          public final ArrayList<JRecord> Module()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### ModuleName

          public final String ModuleName()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### RecordList

          public final ArrayList<JRecord> RecordList()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### Record

          public final JRecord Record()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Field

          public final JField Field()
                             throws ParseException

      Throws:
        `ParseException`

    - #### Type

          public final JType Type()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Map

          public final JMap Map()
                         throws ParseException

      Throws:
        `ParseException`

    - #### Vector

          public final JVector Vector()
                               throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(InputStream stream,
                             String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit(Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(RccTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.